Download it now!
Bug 103204 - Initialize OpenCL command queue on demand
Summary: Initialize OpenCL command queue on demand
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.4 target:5.2.3
Keywords:
Depends on:
Blocks: OpenCL
  Show dependency treegraph
 
Reported: 2016-10-13 21:56 UTC by Tomaz Vajngerl
Modified: 2016-10-21 22:05 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomaz Vajngerl 2016-10-13 21:56:54 UTC
Description:
OpenCL initializes always when LO starts to determine which OpenCL device to use. This initializes the OpenCL command queue which OTOH is needed only when calculating in Calc. 


Actual Results:  
Initializes the command queue on LO start.

Expected Results:
So instead of this it would be good to initialize the command queue on demand.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:49.0) Gecko/20100101 Firefox/49.0
Comment 1 Commit Notification 2016-10-18 09:02:38 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4eea4af8924e3b1bb00c22cf1f9d21fc4dec6e83

tdf#103204 opencl: initialize command queue on demand

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-10-19 10:01:09 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4969015d138cbd9b20bf3a9bee0af9d6222f1a68&h=libreoffice-5-2

tdf#103204 opencl: initialize command queue on demand

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-10-21 16:06:28 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aac6388b44a55d33222f31e42b5b1e090912792d&h=libreoffice-5-2-3

tdf#103204 opencl: initialize command queue on demand

It will be available in 5.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.